var myteam = document.getElementsByClassName("myteam")[0];
var addPlayer = document.getElementById("addPlayer");
var playerName = document.getElementById("playerName");
var deleteLink = document.getElementsByClassName("deletelink");
var yourteam = document.getElementsByClassName("yourteam")[0];
var host = "http://localhost";
var port = "8090";

function setupDeleteLink(){
    for(var l=0; l<deleteLink.length; l++){
        deleteLink[l].addEventListener("click", function(event){
            var xmlHttp = new XMLHttpRequest();
            var ctrl = event.target;
            xmlHttp.onreadystatechange = function(){
                if(xmlHttp.status === 200 && xmlHttp.readyState === 4){
                    console.log(xmlHttp.responseText);
                    refreshYourTeam();
                }
            };
            xmlHttp.open("DELETE",  host +":" + port + "/names");
            xmlHttp.send(JSON.stringify({ "playerId": ctrl.getAttribute("playerId")}));
        });
    }
}

addPlayer.addEventListener("click", function(){
    var player = {};
    player.name = playerName.value;
    var xmlHttp = new XMLHttpRequest();
    xmlHttp.onreadystatechange = function(){

        if(xmlHttp.status === 200 && xmlHttp.readyState === 4){
            console.log(xmlHttp.responseText);
            refreshYourTeam();
        }
    
    };
    xmlHttp.open("POST", host +":" + port + "/names");
    xmlHttp.send(JSON.stringify(player));
    
});

function Initialize(){
    var xmlHttp = new XMLHttpRequest();
    xmlHttp.onreadystatechange = function(){

        if(xmlHttp.status === 200 && xmlHttp.readyState === 4){
            console.log(xmlHttp.responseText);
            populateMyTeam(xmlHttp.responseText);
        }
    
    };
    xmlHttp.open("GET", host + ":" + port + "/names", true);    
    xmlHttp.withCredentials = false;
    xmlHttp.send();
}

function refreshYourTeam(){
    var xmlHttp = new XMLHttpRequest();
    xmlHttp.onreadystatechange = function(){

        if(xmlHttp.status === 200 && xmlHttp.readyState === 4){
            console.log(xmlHttp.responseText);
            populateYourTeam(xmlHttp.responseText);
        }
    
    };
    xmlHttp.open("GET", host + ":" + port + "/names?team=yourTeam", true);
    xmlHttp.send();
}
function populateYourTeam(team){
    var orderedList = document.createElement("OL");
    var players = JSON.parse(team);

    for(var i=0; i < players.length; i++){
        var listItem = document.createElement("LI");
        var delLink = document.createElement("SPAN");
        delLink.className = "deletelink";
        delLink.appendChild(document.createTextNode("X"));
        delLink.setAttribute("playerId", players[i].id);
        listItem.appendChild(document.createTextNode(players[i].name));
        listItem.appendChild(delLink);
        orderedList.appendChild(listItem);
        
    }
    yourteam.innerHTML = orderedList.outerHTML;

    setupDeleteLink();
}
function populateMyTeam(team){
    var orderedList = document.createElement("OL");
    var players = JSON.parse(team);

    for(var i=0; i < players.length; i++){
        var listItem = document.createElement("LI");
        
        listItem.appendChild(document.createTextNode(players[i].name));
       
        orderedList.appendChild(listItem);
        
    }
    myteam.appendChild(orderedList);

}
Initialize();
refreshYourTeam();