var request = require("request");
var host = "http://127.0.0.1";
var port = 9090;
var api ={
    getRequest:function(res, team){
        if(team){
            request.get(host + ":" + port + "/yourTeam", function(error, response, body){
                res.writeHead(200, "OK", { "Content-Type":"application/json", "Access-Control-Allow-Origin" : "http://localhost:8090"});
                res.write(body);
                res.end();
            });
        }
        else{
            request.get(host + ":" +port + "/myTeam", function(error, response, body){
                res.writeHead(200, "OK", { "Content-Type":"application/json", "Access-Control-Allow-Origin" : "http://localhost:8090"});
                res.write(body);
                res.end();
            });
        }
    },
    postRequest: function (player, res){
        request.post(host + ":" + port +"/yourTeam", function(error, response, body){
            res.writeHead(200, "OK");
            res.write(body);
            res.end();
        }).form(JSON.parse(player));
    },
    deleteRequest: function (res, id){
        var player = JSON.parse(id);
        request.del(host + ":" + port + "/yourTeam/" + player.playerId, function(error, response, body){
            res.writeHead(200, "OK");
            res.write(body);
            res.end();
        });
    }
};
module.exports = api;